Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

An API key is a token that you provide when making API calls. Read more about how to secure your project.

Include the API key to the Authorization header, for instance:

If you use a SDK, ensure you instantiate the client with the API key, for instance with JS SDK:

Path Parameters

workspace_uid
string
required

The unique identifier of the chat workspace.

Body

application/json

Settings for a chat workspace

source
null | enum<string>

LLM provider to use for chat completions

Available options:
openAi,
mistral,
azureOpenAi,
vLlm
orgId
string | null

Organization ID for the LLM provider

Example:

"dcba4321..."

projectId
string | null

Project ID for the LLM provider

Example:

"4321dcba..."

apiVersion
string | null

API version for the LLM provider

Example:

"2024-02-01"

deploymentId
string | null

Deployment ID for Azure OpenAI

Example:

"1234abcd..."

baseUrl
string | null

Base URL for the LLM API

Example:

"https://api.mistral.ai/v1"

apiKey
string | null

API key for authentication with the LLM provider

Example:

"abcd1234..."

prompts
null | object

Custom prompts for chat completions

Response

Chat settings retrieved.